[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.AssignTo

Copies property values to the specified persistent object.

## Declaration

Source position: dbgrids.pas line 417

`protected procedure TCustomDBGrid.AssignTo(`
`Dest: TPersistent`
`); override;`

## Arguments

`Dest` |  | Persistent object where the property values are stored.

## Description

AssignTo is an overridden method in TCustomDBGrid used to copy property values from the class instance to the persistent object specified in Dest. It prevents the inherited method from being called when Dest is a TCustomDBGrid instance. Otherwise, the inherited method is called.

## See also

TCustomGrid.AssignTo |  | Stores properties from the current grid class instance to the specified target.